<?php
/**
 * The template for displaying Author Archive pages
 */
 
get_header();

$fincorbus_user_post_count = count_user_posts( get_the_author_meta( 'ID' ), $post_type = 'post' );
$excerpt_count = 100;
?>

		<div id="author_posts_page" class="mt-80">
			
			<?php if ( have_posts() ) : the_post(); ?>
			
				<div id="author_posts_info" class="clearfix">
					<div class="container text-center">
						<div class="author_posts_avatar"><?php echo get_avatar( get_the_author_meta('user_email'), '120', '' ); ?></div>
						<div class="author_posts_descr">
							<div class="author_posts_count"><?php echo esc_html( $fincorbus_user_post_count ) . esc_html__( ' articles', 'fincorbus' ) ?></div>
							<h5 class="author_posts_name"><?php the_author(); ?></h5>
						</div>
					</div>
				</div>
				
				<?php rewind_posts(); ?>
				
				<div id="blog_list" class="container grid_top_img col3">
					<div class="row">
						
						<?php while ( have_posts() ) : the_post(); ?>

							<article id="post-<?php the_ID() ?>" <?php post_class() ?>>
							
								<?php get_template_part('templates/blog/loop-top_img'); ?>
								
							</article>

						<?php endwhile; ?>
						
						<?php wp_reset_postdata(); ?>
						
					</div>
					<?php echo fincorbus_pagination( $pages = '' ); ?>
				</div>
				
			<?php endif; ?>

		</div>

<?php get_footer(); ?>