<?php

function fincorbus_move_comment_field_to_bottom( $fields ) {
	$comment_field = $fields['comment'];
	unset( $fields['comment'] );
	$fields['comment'] = $comment_field;
	return $fields;
}
add_filter( 'comment_form_fields', 'fincorbus_move_comment_field_to_bottom' );

$fincorbus_comment_count = get_comments_number('0', '1', '%');
if ($fincorbus_comment_count == 0) {
	$fincorbus_comment_trans = esc_html__('No Comments', 'fincorbus');
} elseif ($fincorbus_comment_count == 1) {
	$fincorbus_comment_trans = esc_html__('1 Comment', 'fincorbus');
} else {
	$fincorbus_comment_trans = $fincorbus_comment_count . ' ' . esc_html__('Comments', 'fincorbus');
}
?>

<div id="comments">
	
	<?php
		if ( post_password_required() ) { ?>
			<?php echo '<div class="comments_pass_note">' . esc_html__('This post is password protected. Enter the password to view comments.', 'fincorbus') . '</div></div>'; ?>
		<?php
			return;
		}
	?>
	
	<?php if ( have_comments() ) : ?>
		
		<div class="commentlist_wrap">
			<h4 class="comments_title"><?php echo esc_html( $fincorbus_comment_trans ); ?></h4>
			<ol class="commentlist clearfix">
				<?php wp_list_comments(array('callback' => 'fincorbus_comment' )); ?>
				<div class="comments_navigation">
					<?php paginate_comments_links(); ?>
				</div>
			</ol>
		</div>
		
	 <?php else : // this is displayed if there are no comments so far ?>
	
		<?php if ( comments_open() ) : ?>
			<!-- If comments are open, but there are no comments. -->
	
		 <?php else : // comments are closed ?>
			<p class="hidden"><?php esc_html_e('Comments are closed.', 'fincorbus'); ?></p>
	
		<?php endif; ?>
		
	<?php endif; ?>
		
		
<?php if ( comments_open() ) : ?>

	<?php
	
		$comment_form = array(
            'fields' => apply_filters('comment_form_default_fields', array(
                'author' => '<div class="respond-inputs clearfix"><div class="author_wrap"><input type="text" placeholder="' . esc_attr__('Name *', 'fincorbus') . '" title="' . esc_attr__('Name *', 'fincorbus') . '" id="author" name="author" class="form_field"></div>',
                'email' => '<div class="email_wrap"><input type="text" placeholder="' . esc_attr__('Email *', 'fincorbus') . '" title="' . esc_attr__('Email *', 'fincorbus') . '" id="email" name="email" class="form_field"></div>',
                'url' => '<div class="url_wrap"><input type="text" placeholder="' . esc_attr__('Web site', 'fincorbus') . '" title="' . esc_attr__('Web site', 'fincorbus') . '" id="web" name="url" class="form_field"></div></div>'
            )),
            'comment_field' => '<textarea name="comment" cols="45" rows="5" placeholder="' . esc_attr__('Comment', 'fincorbus') . '" id="comment-message" class="form_field"></textarea>',
            'comment_form_before' => '',
            'comment_form_after' => '',
            'must_log_in' => esc_html__('You must be logged in to post a comment.', 'fincorbus'),
            'title_reply' => esc_html__('Leave a Comment', 'fincorbus'),
            'label_submit' => esc_html__('Add a Comment', 'fincorbus'),
            'logged_in_as' => '<p class="logged-in-as">' . esc_html__('Logged in as', 'fincorbus') . ' <a href="' . esc_url( admin_url('profile.php') ) . '">' . $user_identity . '</a>. <a href="' . esc_url( wp_logout_url(apply_filters('the_permalink', get_permalink())) ) . '">' . esc_html__('Log out?', 'fincorbus') . '</a></p>',
        );
        comment_form($comment_form, $post->ID);
		
	?>


<?php endif; // if you delete this the sky will fall on your head ?>

</div>