<?php
/**
 * The template for displaying the footer
 */

global $post;

$fincorbus_postId = ( isset( $post->ID ) ? get_the_ID() : NULL );

$fincorbus_options_enable_prefooter = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('enable_prefooter') : 'hide';
$fincorbus_enable_prefooter = get_post_meta( $fincorbus_postId, 'fincorbus_enable_prefooter', true ) ? get_post_meta( $fincorbus_postId, 'fincorbus_enable_prefooter', true ) : $fincorbus_options_enable_prefooter;
$fincorbus_options_footer = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('footer') : 'show';
$fincorbus_enable_footer = get_post_meta( $fincorbus_postId, 'fincorbus_footer', true ) ? get_post_meta( $fincorbus_postId, 'fincorbus_footer', true ) : $fincorbus_options_footer;

if ( !is_404() && !is_search() ) {
	$fincorbus_options_footer_layout = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('footer_layout') : 'boxed';
	$fincorbus_footer_layout = get_post_meta( $post->ID, 'fincorbus_footer_layout', true ) ? get_post_meta( $post->ID, 'fincorbus_footer_layout', true ) : $fincorbus_options_footer_layout;
} else {
	$fincorbus_footer_layout = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('footer_layout') : 'boxed';
}

$fincorbus_footer_class = $fincorbus_footer_layout;
$fincorbus_footer_backtop = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('footer_backtop') : 1;

$fincorbus_footer_socials = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('footer-social') : 0;
?>
		
		</div><!-- //page-content -->
		
		<footer class="<?php echo esc_attr( $fincorbus_footer_class ); ?>">
		
			<!-- Prefooter Area -->
			<?php if( $fincorbus_enable_prefooter == 'show' ) { ?>
				<div id="prefooter_area">
					<div class="container">
						<div class="row">
							<?php
								$fincorbus_widgets_grid = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('prefooter_col') : '4-4-4';
								$i = 1;
								foreach (explode('-', $fincorbus_widgets_grid) as $fincorbus_widgets_g) {
									echo '<div class="col-md-' . esc_attr( $fincorbus_widgets_g ) . ' col-' . esc_attr( $i ) . '">';
										dynamic_sidebar("footer-area-$i");
									echo '</div>';
									$i++;
								}
							?>
						</div>
					</div>
				</div>
			<?php } ?>
			
			<!-- Footer Area -->
			<?php if( $fincorbus_enable_footer == 'show' ) { ?>
				<div id="footer_bottom">
					<div class="container">
						<div class="row">
							<div class="col-sm-6 copyright_wrap">
								<?php $fincorbus_footer_copyright = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('footer_copyright') : 'Copyright © 2018 Fincorbus. All Rights Reserved.'; ?>
								<?php if(!empty( $fincorbus_footer_copyright ) ) { echo '<div class="copyright">' . esc_html( $fincorbus_footer_copyright ) . '</div>'; } ?>
							</div>
							<div class="col-sm-6 social_links_wrap text-right">
								<?php if( $fincorbus_footer_socials != 0 ) { ?>
									<?php echo fincorbus_social_links(); ?>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
			<?php } ?>
			
			<?php if( $fincorbus_footer_backtop != 0 ) { ?>
				<a id="footer-backtop" href="javascript:void(0);"><i></i></a>
			<?php } ?>
		</footer>
		
	</div><!-- //Page Wrap -->
	
<?php wp_footer(); ?>

</body>
</html>