/*
 * Fincorbus Theme Megamenu Framework
 */

( function( $ ) {

	"use strict";
	
	var fincorbus_megamenu = {

		menu_item_move: function() {
			$(document).on( 'mouseup', '.menu-item-bar', function( event, ui ) {
				if( ! $(event.target).is('a') ) {
					setTimeout( fincorbus_megamenu.update_megamenu_fields, 200 );
				}
			});
		},

		update_megamenu_status: function() {

			$(document).on( 'click', '.edit-menu-item-fincorbus-megamenu-status', function() {
				var parent_menu_item = $( this ).parents( '.menu-item:eq(0)' );

				if( $( this ).is( ':checked' ) ) {
					parent_menu_item.addClass( 'fincorbus-megamenu-active' );
				} else 	{
					parent_menu_item.removeClass( 'fincorbus-megamenu-active' );
				}

				fincorbus_megamenu.update_megamenu_fields();
			});
		},

		update_megamenu_fields: function() {
			var menu_items = $( '.menu-item');

			menu_items.each( function( i ) 	{

				var fincorbus_megamenu_status = $( '.edit-menu-item-fincorbus-megamenu-status', this );

				if( ! $(this).is( '.menu-item-depth-0' ) ) {
					var check_against = menu_items.filter( ':eq('+(i-1)+')' );

					if( check_against.is( '.fincorbus-megamenu-active' ) ) {

						fincorbus_megamenu_status.attr( 'checked', 'checked' );
						$(this).addClass( 'fincorbus-megamenu-active' );
					} else {
						fincorbus_megamenu_status.attr( 'checked', '' );
						$(this).removeClass( 'fincorbus-megamenu-active' );
					}
				} else {
					if( fincorbus_megamenu_status.attr( 'checked' ) ) {
						$(this).addClass( 'fincorbus-megamenu-active' );
					}
				}
			});
		}

	};
	
	$(document).ready(function(){
	
		fincorbus_megamenu.menu_item_move();
		fincorbus_megamenu.update_megamenu_status();
		fincorbus_megamenu.update_megamenu_fields();
		
	});
	
})( jQuery );