<?php
/**
 * The template for displaying all single portfolio posts and attachments
 */

get_header();
the_post();

global $post;

$portfolio_single_class = '';

$fincorbus_pf = get_post_format();
if (empty( $fincorbus_pf )) $fincorbus_pf = 'image';
$portfolio_single_class .= 'format-' . esc_attr( $fincorbus_pf ) . ' ';

$fincorbus_portfolio_single_layout 				= get_post_meta( $post->ID, 'fincorbus_portfolio_single_layout', true );
$fincorbus_portfolio_single_client 				= get_post_meta( $post->ID, 'fincorbus_portfolio_single_client', true );
$fincorbus_portfolio_single_add_field_title 	= get_post_meta( $post->ID, 'fincorbus_portfolio_single_add_field_title', true );
$fincorbus_portfolio_single_add_field 			= get_post_meta( $post->ID, 'fincorbus_portfolio_single_add_field', true );
$fincorbus_portfolio_single_add_field_title2 	= get_post_meta( $post->ID, 'fincorbus_portfolio_single_add_field_title2', true );
$fincorbus_portfolio_single_add_field2 			= get_post_meta( $post->ID, 'fincorbus_portfolio_single_add_field2', true );
$fincorbus_portfolio_single_add_field_title3 	= get_post_meta( $post->ID, 'fincorbus_portfolio_single_add_field_title3', true );
$fincorbus_portfolio_single_add_field3 			= get_post_meta( $post->ID, 'fincorbus_portfolio_single_add_field3', true );
$fincorbus_portfolio_single_link 				= get_post_meta( $post->ID, 'fincorbus_portfolio_single_link', true );
$fincorbus_portfolio_single_link_name 			= get_post_meta( $post->ID, 'fincorbus_portfolio_single_link_name', true );
$fincorbus_portfolio_single_carousel_enable 	= get_post_meta( $post->ID, 'fincorbus_portfolio_single_carousel_enable', true );
$fincorbus_portfolio_single_carousel_layout 	= get_post_meta( $post->ID, 'fincorbus_portfolio_single_carousel_layout', true );
$fincorbus_portfolio_single_grid_pullleft 		= get_post_meta( $post->ID, 'fincorbus_portfolio_single_grid_pullleft', true );

$portfolio_single_class .= $fincorbus_portfolio_single_layout . ' ';
if( $fincorbus_portfolio_single_carousel_enable != 'enable' ) {
	$portfolio_single_class .= 'gallery_grid ';
} else {
	$portfolio_single_class .= 'gallery_carousel ';
}
if( $fincorbus_portfolio_single_layout == 'full_width' ) {
	$portfolio_single_class .= 'gallery_' . $fincorbus_portfolio_single_carousel_layout . ' ';
}
if( $fincorbus_portfolio_single_grid_pullleft != 'disable' ) {
	$portfolio_single_class .= 'position_pull_left ';
}

// Categories
$fincorbus_portfolio_category = get_the_term_list($post->ID, 'portfolio_category', '', ', ', '');

/* ADD 1 view for this post */
$fincorbus_post_views = (get_post_meta(get_the_ID(), "post_views", true) > 0 ? get_post_meta(get_the_ID(), "post_views", true) : "0");
update_post_meta(get_the_ID(), "post_views", (int)$fincorbus_post_views + 1);

$fincorbus_portfolio_single_sharebox = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('portfolio_single_sharebox') : '1';
$fincorbus_portfolio_single_navigation = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('portfolio_single_navigation') : '1';
?>
		
		<div class="container">
			<div id="portfolio_single_wrap" class="<?php echo esc_attr( $portfolio_single_class ); ?> clearfix mb50">
				<div class="row">
					
					<?php if( $fincorbus_portfolio_single_layout == 'full_width' ) { ?>
						
						<div class="col-md-12">
							<div class="row">
								<div class="col-lg-8 col-md-7">
									<div class="portfolio_single_content clearfix">
										<?php if( fincorbus_options('portfolio_single_pagetitle') != 'show' ) { ?>
											<h3 class="portfolio_single_title"><?php the_title(); ?></h3>
										<?php } ?>
										<?php
											the_content(esc_html__('Read more!', 'fincorbus'));
											wp_link_pages(array('before' => '<div class="page-link mb20">' . esc_html__('Pages', 'fincorbus') . ': ', 'after' => '</div>'));
										?>
									</div>
								</div>
								<div class="col-lg-4 col-md-5">
									<div class="portfolio_single_details_wrap">
										<div class="portfolio_single_det likes_wrap">
											<p>
												<strong><?php esc_html_e('Likes:', 'fincorbus') ?></strong>
												<?php fincorbus_likes(); ?>
											</p>
										</div>
										<?php if( isset( $fincorbus_portfolio_single_client ) && $fincorbus_portfolio_single_client != '' ) { ?>
											<div class="portfolio_single_det">
												<p><strong><?php esc_html_e('Client', 'fincorbus') ?></strong>
												<span class="portfolio-client">
													<?php echo esc_attr( $fincorbus_portfolio_single_client ); ?>
												</span></p>
											</div>
										<?php } ?>
										<?php if( !empty( $fincorbus_portfolio_category ) ) { ?>
											<div class="portfolio_single_det">
												<p><strong><?php esc_html_e('Category', 'fincorbus') ?></strong>
												<span class="portfolio-category">
													<?php echo strip_tags($fincorbus_portfolio_category) ?>
												</span></p>
											</div>
										<?php } ?>
										<?php if(get_the_term_list($post->ID, 'portfolio_tag', '', ',', '')) { ?>
											<div class="portfolio_single_det">
												<p><strong><?php esc_html_e('Tags', 'fincorbus') ?></strong>
												<span class="portfolio-tag">
													<?php echo get_the_term_list($post->ID, 'portfolio_tag', '', ', ', ''); ?>
												</span></p>
											</div>
										<?php } ?>
										<div class="portfolio_single_det">
											<p><strong><?php esc_html_e('Date', 'fincorbus') ?></strong>
											<span class="portfolio-date">
												<?php the_date( get_option( 'date_format' ) ); ?>
											</span></p>
										</div>
										<?php if( isset( $fincorbus_portfolio_single_add_field_title ) && $fincorbus_portfolio_single_add_field_title != '' ) { ?>
											<div class="portfolio_single_det">
												<p><strong><?php echo esc_attr( $fincorbus_portfolio_single_add_field_title ); ?></strong>
												<span class="portfolio-add_field">
													<?php echo esc_attr( $fincorbus_portfolio_single_add_field ); ?>
												</span></p>
											</div>
										<?php } ?>
										<?php if( isset( $fincorbus_portfolio_single_add_field_title2 ) && $fincorbus_portfolio_single_add_field_title2 != '' ) { ?>
											<div class="portfolio_single_det">
												<p><strong><?php echo esc_attr( $fincorbus_portfolio_single_add_field_title2 ); ?></strong>
												<span class="portfolio-add_field">
													<?php echo esc_attr( $fincorbus_portfolio_single_add_field2 ); ?>
												</span></p>
											</div>
										<?php } ?>
										<?php if( isset( $fincorbus_portfolio_single_add_field_title3 ) && $fincorbus_portfolio_single_add_field_title3 != '' ) { ?>
											<div class="portfolio_single_det">
												<p><strong><?php echo esc_attr( $fincorbus_portfolio_single_add_field_title3 ); ?></strong>
												<span class="portfolio-add_field">
													<?php echo esc_attr( $fincorbus_portfolio_single_add_field3 ); ?>
												</span></p>
											</div>
										<?php } ?>
										<?php if( isset( $fincorbus_portfolio_single_link ) && $fincorbus_portfolio_single_link != '' ) { ?>
											<div class="portfolio_single_det">
												<p><strong><?php esc_html_e('Link', 'fincorbus') ?></strong>
												<span class="portfolio-custom-link">
													<a class="theme_color" href="<?php echo esc_url( $fincorbus_portfolio_single_link ); ?>" target="_blank">
														<?php echo esc_attr( ( $fincorbus_portfolio_single_link_name != '' ) ? $fincorbus_portfolio_single_link_name : $fincorbus_portfolio_single_link ); ?>
													</a>
												</span></p>
											</div>
										<?php } ?>
										<?php if( $fincorbus_portfolio_single_sharebox != 0 ) { ?>
											<div class="portfolio_single_sharebox">
												<?php get_template_part( 'templates/shareit' ); ?>
											</div>
										<?php } ?>
									</div>
								</div>
							</div>
						</div>
						<div class="col-md-12">
							<div class="portfolio_format_content">
								<?php get_template_part( 'templates/portfolio/post-format/post', $fincorbus_pf ); ?>
							</div>
						</div>
					
					<?php } elseif ( $fincorbus_portfolio_single_layout == 'half_width' ) { ?>
						
						<div class="col-lg-8 col-md-7 mb50">
							<div class="portfolio_format_content">
								<?php get_template_part( 'templates/portfolio/post-format/post', $fincorbus_pf ); ?>
							</div>
						</div>
						<div class="col-lg-4 col-md-5 mb50">
							<div class="portfolio_single_content clearfix">
								<?php if( fincorbus_options('portfolio_single_pagetitle') != 'show' ) { ?>
									<h3 class="portfolio_single_title"><?php the_title(); ?></h3>
								<?php } ?>
								<?php
									the_content(esc_html__('Read more!', 'fincorbus'));
									wp_link_pages(array('before' => '<div class="page-link mb20">' . esc_html__('Pages', 'fincorbus') . ': ', 'after' => '</div>'));
								?>
							</div>
							<div class="portfolio_single_details_wrap">
								<div class="portfolio_single_det likes_wrap">
									<p>
										<strong><?php esc_html_e('Likes:', 'fincorbus') ?></strong>
										<?php fincorbus_likes(); ?>
									</p>
								</div>
								<?php if( isset( $fincorbus_portfolio_single_client ) && $fincorbus_portfolio_single_client != '' ) { ?>
									<div class="portfolio_single_det">
										<p><strong><?php esc_html_e('Client', 'fincorbus') ?></strong>
										<span class="portfolio-client">
											<?php echo esc_attr( $fincorbus_portfolio_single_client ); ?>
										</span></p>
									</div>
								<?php } ?>
								<?php if( !empty( $fincorbus_portfolio_category ) ) { ?>
									<div class="portfolio_single_det">
										<p><strong><?php esc_html_e('Category', 'fincorbus') ?></strong>
										<span class="portfolio-category">
											<?php echo strip_tags($fincorbus_portfolio_category) ?>
										</span></p>
									</div>
								<?php } ?>
								<?php if(get_the_term_list($post->ID, 'portfolio_tag', '', ',', '')) { ?>
									<div class="portfolio_single_det">
										<p><strong><?php esc_html_e('Tags', 'fincorbus') ?></strong>
										<span class="portfolio-tag">
											<?php echo get_the_term_list($post->ID, 'portfolio_tag', '', ', ', ''); ?>
										</span></p>
									</div>
								<?php } ?>
								<div class="portfolio_single_det">
									<p><strong><?php esc_html_e('Date', 'fincorbus') ?></strong>
									<span class="portfolio-date">
										<?php the_date( get_option( 'date_format' ) ); ?>
									</span></p>
								</div>
								<?php if( isset( $fincorbus_portfolio_single_add_field_title ) && $fincorbus_portfolio_single_add_field_title != '' ) { ?>
									<div class="portfolio_single_det">
										<p><strong><?php echo esc_attr( $fincorbus_portfolio_single_add_field_title ); ?></strong>
										<span class="portfolio-add_field">
											<?php echo esc_attr( $fincorbus_portfolio_single_add_field ); ?>
										</span></p>
									</div>
								<?php } ?>
								<?php if( isset( $fincorbus_portfolio_single_add_field_title2 ) && $fincorbus_portfolio_single_add_field_title2 != '' ) { ?>
									<div class="portfolio_single_det">
										<p><strong><?php echo esc_attr( $fincorbus_portfolio_single_add_field_title2 ); ?></strong>
										<span class="portfolio-add_field">
											<?php echo esc_attr( $fincorbus_portfolio_single_add_field2 ); ?>
										</span></p>
									</div>
								<?php } ?>
								<?php if( isset( $fincorbus_portfolio_single_add_field_title3 ) && $fincorbus_portfolio_single_add_field_title3 != '' ) { ?>
									<div class="portfolio_single_det">
										<p><strong><?php echo esc_attr( $fincorbus_portfolio_single_add_field_title3 ); ?></strong>
										<span class="portfolio-add_field">
											<?php echo esc_attr( $fincorbus_portfolio_single_add_field3 ); ?>
										</span></p>
									</div>
								<?php } ?>
								<?php if( isset( $fincorbus_portfolio_single_link ) && $fincorbus_portfolio_single_link != '' ) { ?>
									<div class="portfolio_single_det">
										<p><strong><?php esc_html_e('Link', 'fincorbus') ?></strong>
										<span class="portfolio-custom-link">
											<a class="theme_color" href="<?php echo esc_url( $fincorbus_portfolio_single_link ); ?>" target="_blank">
												<?php echo esc_attr( ( $fincorbus_portfolio_single_link_name != '' ) ? $fincorbus_portfolio_single_link_name : $fincorbus_portfolio_single_link ); ?>
											</a>
										</span></p>
									</div>
								<?php } ?>
								<?php if( $fincorbus_portfolio_single_sharebox != 0 ) { ?>
									<div class="portfolio_single_sharebox">
										<?php get_template_part( 'templates/shareit' ); ?>
									</div>
								<?php } ?>
							</div>
						</div>
						
					<?php } ?>
					
				</div>
			</div>
		</div>
		
		<?php if( $fincorbus_portfolio_single_navigation != 0) { ?>
			<div class="portfolio_single_nav">
					
				<?php $fincorbus_options_header_layout = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('header-layout') : 'full_width'; ?>
				<?php $fincorbus_header_layout = get_post_meta( $post->ID, 'fincorbus_header_layout', true ) ? get_post_meta( $post->ID, 'fincorbus_header_layout', true ) : $fincorbus_options_header_layout; ?>
				<div class="<?php if( $fincorbus_header_layout != 'full_width' ) { echo 'container'; } ?> clearfix">
					
					<?php
						
						$fincorbus_prev_post = get_adjacent_post(false, '', false);
						$fincorbus_next_post = get_adjacent_post(false, '', true);
						if( class_exists( 'ReduxFrameworkPlugin' ) && fincorbus_options('portfolio_single_navigation_backbtn') != '' ){
							$fincorbus_portfolio_single_navigation_backbtn = fincorbus_options('portfolio_single_navigation_backbtn');
						}
						
						if($fincorbus_prev_post){
							$fincorbus_post_url = get_permalink( $fincorbus_prev_post->ID );            
							echo '<div class="pull-left"><a href="' . esc_url( $fincorbus_post_url ) . '" title="' . $fincorbus_prev_post->post_title . '"><i class="first fa fa-angle-left"></i><i class="last fa fa-angle-left"></i><span>' . $fincorbus_prev_post->post_title . '</span></a></div>';
						}
						
						if( class_exists( 'ReduxFrameworkPlugin' ) && fincorbus_options('portfolio_single_navigation_backbtn') != '' ){
							echo '<a class="back-to-portfolio" href="' . esc_url( $fincorbus_portfolio_single_navigation_backbtn ) . '"><i class="icon Evatheme-Icon-Fonts-thin-0208_grid_view"></i></a>';
						}
						
						if( $fincorbus_next_post ) {
							$fincorbus_post_url = get_permalink( $fincorbus_next_post->ID );            
							echo '<div class="pull-right text-right"><a href="' . esc_url( $fincorbus_post_url ) . '" title="' . $fincorbus_next_post->post_title . '"><i class="first fa fa-angle-right"></i><i class="last fa fa-angle-right"></i><span>' . $fincorbus_next_post->post_title . '</span></a></div>';
						} 
					?>
					
				</div>
			</div>
		<?php } ?>

<?php get_footer(); ?>
