<?php
/**
 * The template for displaying all single posts and attachments
 */

get_header();

global $post;

$fincorbus_pf = get_post_format();
if (empty( $fincorbus_pf )) $fincorbus_pf = 'image';

$fincorbus_blogsingle_layout = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('blogsingle_layout') : 'right-sidebar';

if( $fincorbus_blogsingle_layout == 'left-sidebar' ) {
	$fincorbus_sidebar_class = 'pull-left ';
	$fincorbus_blogsingle_wrap_class = 'left_sidebar ';
	$fincorbus_blogsingle_class = 'col-lg-8 col-md-9 col-sm-12 pull-right';
} elseif( $fincorbus_blogsingle_layout == 'right-sidebar' ) {
	$fincorbus_sidebar_class = 'pull-right';
	$fincorbus_blogsingle_wrap_class = 'right_sidebar ';
	$fincorbus_blogsingle_class = 'col-lg-8 col-md-9 col-sm-12 pull-left ';
} else {
	$fincorbus_sidebar_class = $fincorbus_blogsingle_class = '';
	$fincorbus_blogsingle_wrap_class = 'no_sidebar ';
}

$fincorbus_post_single_style = get_post_meta( $post->ID, 'fincorbus_post_single_style', true );
$fincorbus_single_post_sharebox = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('single_post_sharebox') : 0;
$fincorbus_single_post_author = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('single_post_author') : 1;
$fincorbus_single_post_navigation = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('single_post_navigation') : 1;
$fincorbus_single_post_related_posts = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('single_post_related_posts') : 1;
?>
		
	<div class="container">
		
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<div id="blog-single-wrap" class="<?php echo 'format-' . esc_html( $fincorbus_pf ) . ' ' . esc_html( $fincorbus_blogsingle_wrap_class ) . ' ' . esc_html( $fincorbus_post_single_style ); ?> clearfix">
				
				<?php if( $fincorbus_post_single_style == 'fullscreen' ) { ?>
					
					<?php if( $fincorbus_blogsingle_layout != 'no-sidebar' ) { ?>
						<div class="row">
							<div class="<?php echo esc_html( $fincorbus_blogsingle_class ); ?>">
						<?php } ?>
								
								<?php if( $fincorbus_pf != 'image' && $fincorbus_pf != 'standard' ) { ?>
									<div class="post_format_content text-center">
										<?php get_template_part( 'templates/blog/post-format/post', $fincorbus_pf ); ?>
									</div>
								<?php } ?>

								<div class="single-post-content clearfix">
									
									<?php
										the_content(esc_html__('Read more!', 'fincorbus'));
										wp_link_pages(array('before' => '<div class="page-link mb20">' . esc_html__('Pages', 'fincorbus') . ': ', 'after' => '</div>'));
									?>
									
								</div>
								
								<div class="posts_nav_link"><?php posts_nav_link(); ?></div>
								
								<div class="single_post_meta_tags">
									<?php if( has_tag() ) {
										the_tags('','', '');
									} ?>
								</div>
							
						<?php if( $fincorbus_blogsingle_layout != 'no-sidebar' ) { ?>
							</div>
							
							<div class="col-lg-4 col-md-3 col-sm-12 <?php echo esc_html( $fincorbus_sidebar_class ); ?>">
								<?php get_sidebar(); ?>
							</div>
						</div>
					<?php } ?>
			
					<?php if( $fincorbus_single_post_sharebox != 0 ) {
						get_template_part( 'templates/shareit' );
					} ?>
					
					<?php if( $fincorbus_single_post_author != 0 ) {
						get_template_part( 'templates/blog/authorinfo' );
					} ?>
					
					<?php if( $fincorbus_single_post_navigation != 0 ) { ?>
						<div class="single_post_nav clearfix">
							<?php
								$fincorbus_prev_post = get_adjacent_post(false, '', false);
								$fincorbus_next_post = get_adjacent_post(false, '', true);

								if($fincorbus_prev_post){
									$fincorbus_post_url = get_permalink($fincorbus_prev_post->ID);            
									echo '<div class="pull-left"><a href="' . esc_url( $fincorbus_post_url ) . '" title="' . $fincorbus_prev_post->post_title . '"><p class="heading_font"><i class="fa fa-chevron-left"></i>' . esc_html__('Previous','fincorbus') . '</p><h6>' . $fincorbus_prev_post->post_title . '</h6></a></div>';
								}

								if($fincorbus_next_post) {
									$fincorbus_post_url = get_permalink($fincorbus_next_post->ID);            
									echo '<div class="pull-right text-right"><a href="' . esc_url( $fincorbus_post_url ) . '" title="' . $fincorbus_next_post->post_title . '"><p class="heading_font">' . esc_html__('Next','fincorbus') . '<i class="fa fa-chevron-right"></i></p><h6>' . $fincorbus_next_post->post_title . '</h6></a></div>';
								} 
							?>
						</div>
					<?php } ?>
				
					<?php if( $fincorbus_single_post_related_posts != 0 ) {
						get_template_part('templates/blog/related-posts');
					} ?>
					
					<?php 
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					?>
					
				<?php } else { ?>
				
					<?php if( $fincorbus_blogsingle_layout != 'no-sidebar' ) { ?>
						<div class="row">
							<div class="<?php echo esc_html( $fincorbus_blogsingle_class ); ?>">
						<?php } ?>
							
								<div class="single_post_header">
									<h1 class="single-post-title"><?php the_title(); ?></h1>
									<div class="clearfix">
										<div class="post-meta pull-left">
											<span class="post-meta-author"><?php echo esc_attr__('by','fincorbus'); ?><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php echo get_the_author_meta('display_name'); ?></a></span>
											<span class="post_meta_category"><?php echo esc_attr__('in','fincorbus'); ?><?php the_category(', '); ?></span>
											<span class="post-meta-date"><?php echo esc_attr__('posted on','fincorbus'); ?><i><?php the_date( get_option( 'date_format' ) ); ?></i></span>
										</div>
										<div class="pull-right">
											<span class="post-meta-comments"><i class="icon Evatheme-Icon-Fonts-thin-0274_chat_message_comment_bubble"></i><?php echo get_comments_number('0', '1', '%'); ?></span>
											<?php if( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
												<div class="post_likes"><?php echo fincorbus_likes(); ?></div>
											<?php } ?>
										</div>
									</div>
								</div>
								
								<div class="post_format_content text-center">
									<?php get_template_part( 'templates/blog/post-format/post', $fincorbus_pf ); ?>
								</div>

								<div class="single-post-content clearfix">
									
									<?php
										the_content(esc_html__('Read more!', 'fincorbus'));
										wp_link_pages(array('before' => '<div class="page-link mb20">' . esc_html__('Pages', 'fincorbus') . ': ', 'after' => '</div>'));
									?>
									
								</div>
								
								<div class="posts_nav_link"><?php posts_nav_link(); ?></div>
								
								<div class="single_post_meta_tags">
									<?php if( has_tag() ) {
										the_tags('','', '');
									} ?>
								</div>
									
								<?php if( $fincorbus_single_post_sharebox != 0 ) {
									get_template_part( 'templates/shareit' );
								} ?>
								
								<?php if( $fincorbus_single_post_author != 0 ) {
									get_template_part( 'templates/blog/authorinfo' );
								} ?>
								
								<?php if( $fincorbus_single_post_navigation != 0 ) { ?>
									<div class="single_post_nav clearfix">
										<?php
											$fincorbus_prev_post = get_adjacent_post(false, '', true);
											$fincorbus_next_post = get_adjacent_post(false, '', false);

											if($fincorbus_prev_post){
												$fincorbus_post_url = get_permalink($fincorbus_prev_post->ID);            
												echo '<div class="pull-left"><a href="' . esc_url( $fincorbus_post_url ) . '" title="' . $fincorbus_prev_post->post_title . '"><p><i class="fa fa-chevron-left"></i>' . esc_html__('Previous','fincorbus') . '</p><h6>' . $fincorbus_prev_post->post_title . '</h6></a></div>';
											}

											if($fincorbus_next_post) {
												$fincorbus_post_url = get_permalink($fincorbus_next_post->ID);            
												echo '<div class="pull-right text-right"><a href="' . esc_url( $fincorbus_post_url ) . '" title="' . $fincorbus_next_post->post_title . '"><p>' . esc_html__('Next','fincorbus') . '<i class="fa fa-chevron-right"></i></p><h6>' . $fincorbus_next_post->post_title . '</h6></a></div>';
											} 
										?>
									</div>
								<?php } ?>
							
								<?php if( $fincorbus_single_post_related_posts != 0 ) {
									get_template_part('templates/blog/related-posts');
								} ?>
								
								<?php 
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>
						
						<?php if( $fincorbus_blogsingle_layout != 'no-sidebar' ) { ?>
							</div>
							
							<div class="col-lg-4 col-md-3 col-sm-12 <?php echo esc_html( $fincorbus_sidebar_class ); ?>">
								<?php get_sidebar(); ?>
							</div>
						</div>
					<?php } ?>
				<?php } ?>
			</div>
		<?php endwhile; endif; ?>
		
	</div>

<?php get_footer(); ?>
