<?php

global $post;

$fincorbus_header_class = '';

$fincorbus_header_layout = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('header-layout') : 'boxed';
if ( !is_404() && !is_search() ) {
	$fincorbus_header_layout = (get_post_meta( $post->ID, 'fincorbus_header_layout', true ) ? get_post_meta( $post->ID, 'fincorbus_header_layout', true ) : $fincorbus_header_layout);
}
$fincorbus_header_class .= $fincorbus_header_layout . ' ';
$fincorbus_tagline_area = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('tagline_area') : '0';
if ($fincorbus_tagline_area == 1) {
	$fincorbus_header_class .= 'has_tagline_area ';
}

$header_search = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('header_search') : 1;

$shop_icon = 0;
if( class_exists('WooCommerce') && ( class_exists( 'ReduxFrameworkPlugin' ) && fincorbus_options('shop_icon') != '0' ) ) {
	$shop_icon = 1;
}
?>
		
		<header class="header-top <?php echo esc_html( $fincorbus_header_class ); ?> clearfix">
			<?php if ($fincorbus_tagline_area == 1) { ?>
				<div class="header_tagline">
					<div class="container">
						<div class="pull-left tagline_text_wrap">
							<?php if( !empty( fincorbus_options('tagline_area_phone') ) ) { ?>
								<a href="tel:<?php echo fincorbus_options('tagline_area_phone'); ?>"><i class="icon Evatheme-Icon-Fonts-thin-0294_phone_call_ringing"></i><?php echo fincorbus_options('tagline_area_phone'); ?></a>
							<?php } ?>
							<?php if( !empty( fincorbus_options('tagline_area_phone') ) && ( fincorbus_options('tagline_area_email') ) ) { ?>
								<span class="theme_color">/</span>
							<?php } ?>
							<?php if( !empty( fincorbus_options('tagline_area_email') ) ) { ?>
								<a href="mailto:<?php echo fincorbus_options('tagline_area_email'); ?>"><i class="icon Evatheme-Icon-Fonts-thin-0319_email_mail_post_card"></i><?php echo fincorbus_options('tagline_area_email'); ?></a>
							<?php } ?>
						</div>
						<?php if ( class_exists( 'ReduxFrameworkPlugin' ) && fincorbus_options('header_social_links') == 1 ) { ?>
							<div class="social_links_wrap text-right pull-right">
								<?php echo fincorbus_social_links(); ?>
							</div>
						<?php } ?>
					</div>
				</div>
			<?php } ?>
			<div class="header_wrap">
				<div class="container">
					<?php fincorbus_logo(); ?>
					<div class="right_part_menu clearfix">
						<?php if ( $header_search == 1 ) { ?>
							<a class="header_search_icon pull-right" href="javascript:void(0)">
								<i class="fa fa-search"></i>
							</a>
						<?php } ?>
						<?php if( $shop_icon != 0 ) {
							fincorbus_woo_nav_cart();
						} ?>
						<div class="menu-primary-menu-container-wrap pull-right">
							<?php wp_nav_menu( array( 'menu_class' => 'nav-menu clearfix', 'theme_location' => 'primary', 'depth' => 3, 'container' => false, 'fallback_cb' => 'fincorbusMegaMenuFrontendWalker::fallback', 'walker' => new fincorbusMegaMenuFrontendWalker() ) ); ?>
						</div>
					</div>
				</div>
			</div>
			<div class="header_bg"></div>
		</header>