<?php
/**
 * Page Title
 */

	global $post, $wp_query;
	
	$fincorbus_postId = ( isset( $post->ID ) ? get_the_ID() : NULL );
	
	$fincorbus_pagetitle_class = '';
	
	/* If Single Post Fullscreen */
	$fincorbus_post_single_style = get_post_meta( $fincorbus_postId, 'fincorbus_post_single_style', true );
	if ( is_singular('post') && $fincorbus_post_single_style == 'fullscreen' ) {
		$fincorbus_pagetitle_class .= ' pagetitle_fullscreen';
	}
	
	$fincorbus_options_pagetitle = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('pagetitle') : 'show';
	$fincorbus_pagetitle = ( get_post_meta( $fincorbus_postId, 'fincorbus_pagetitle', true ) ? get_post_meta( $post->ID, 'fincorbus_pagetitle', true ) : $fincorbus_options_pagetitle );
	if ( is_home() || is_search() || is_category() || is_tag() || is_day() || is_month() || is_year() ) {
		$fincorbus_pagetitle = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('blog_pagetitle') : 'hide';
	} else if ( is_singular('post') && $fincorbus_post_single_style != 'fullscreen' ) {
		$fincorbus_pagetitle = 'hide';
	} else if ( is_singular('portfolio') ) {
		$fincorbus_pagetitle = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('portfolio_single_pagetitle') : 'hide';
	} else if( class_exists('WooCommerce') && ( is_product_category() || is_product_tag() || is_cart() || is_checkout() || is_account_page() ) ) {
		$fincorbus_pagetitle = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('shop_pagetitle') : 'show';
	} else if( class_exists('WooCommerce') && ( is_shop() || is_singular('product') ) ) {
		$fincorbus_pagetitle = 'hide';
	} else if ( is_404() ) {
		$fincorbus_pagetitle = 'hide';
	}
	
	
	$fincorbus_pagetitle_text			= get_post_meta( $fincorbus_postId, 'fincorbus_pagetitle_text', true );
	$fincorbus_blog_pagetitle_text		= class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('blog_pagetitle_text') : get_the_title( get_option('page_for_posts', true) );
	$fincorbus_pagetitle_subtext		= get_post_meta( $fincorbus_postId, 'fincorbus_pagetitle_subtext', true );
	$fincorbus_blog_pagetitle_subtext	= class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('blog_pagetitle_subtext') : '';


	if ( $fincorbus_pagetitle_subtext != '' ) {
		$fincorbus_pagetitle_subtext = esc_attr( $fincorbus_pagetitle_subtext );
	} else if ( ( class_exists( 'ReduxFrameworkPlugin' ) && fincorbus_options('blog_pagetitle_subtext') != '' ) && ( is_home() ) ) {
		$fincorbus_pagetitle_subtext = esc_attr( $fincorbus_blog_pagetitle_subtext );
	} elseif ( is_search() ) {
		$fincorbus_pagetitle_subtext = '';
	}
	
	if ( $fincorbus_pagetitle_text != '' ) {
		$fincorbus_pagetitle_text = $fincorbus_pagetitle_text;
	} else if (is_home()) {
		if( $fincorbus_blog_pagetitle_text == 'Template: Sticky' ) {
			$fincorbus_pagetitle_text = 'Home';
		} else {
			$fincorbus_pagetitle_text = $fincorbus_blog_pagetitle_text;
		}
	} else if ( is_singular('portfolio') ) {
		if( class_exists( 'ReduxFrameworkPlugin' ) && fincorbus_options('portfolio_single_pagetitle') != 'hide' ) {
			$fincorbus_pagetitle_text = get_the_title();
		}
	} else if( class_exists('WooCommerce') && is_shop() ) {
		if( class_exists( 'ReduxFrameworkPlugin' ) && fincorbus_options('shop_pagetitle_subtext') != '' ){
			$fincorbus_pagetitle_subtext = fincorbus_options('shop_pagetitle_subtext');
		}
		if( class_exists( 'ReduxFrameworkPlugin' ) && fincorbus_options('shop_pagetitle_text') != '' ){
			$fincorbus_pagetitle_text  = fincorbus_options('shop_pagetitle_text');
		}
	} else if (is_category()) {
		$fincorbus_pagetitle_text = esc_attr__( 'Category Archive for :', 'fincorbus' ) . ' &#8216;' . single_cat_title( '', false ) . '&#8217;';
	} else if( is_tag() ) {
		$tag_id = get_queried_object_id();
		$tag = get_tag($tag_id);
		$fincorbus_pagetitle_text = esc_attr__( 'Posts Tagged', 'fincorbus' ) . ' &#8216;' . $tag->name . '&#8217;';
	} else if( is_search() ) {
		$fincorbus_pagetitle_text = $wp_query->found_posts . ' ' . esc_attr__( 'search results for', 'fincorbus' ) . ': \'' . esc_attr( get_search_query() ) . '\'';
	} else if ( is_day() || is_month() || is_year() ) {
		$fincorbus_pagetitle_text = esc_attr__( 'Archive for', 'fincorbus' ) . ' ' . get_the_time( get_option( 'date_format' ) );
	} else if ( is_author() ) {
		$fincorbus_pagetitle_text = esc_attr__( 'Author Archive', 'fincorbus' );
	} else if ( is_404() ) {
		$fincorbus_pagetitle_text = '';
		$fincorbus_pagetitle_subtext = '';
	} else if (isset($_GET['paged']) && !empty($_GET['paged'])) {
		$fincorbus_pagetitle_text = esc_attr__( 'Blog Archives', 'fincorbus' );
	} else {
		$fincorbus_pagetitle_text = get_the_title();
	}
	
	/* Parallax Effect */
	$fincorbus_pagetitle_bg_image_parallax = $fincorbus_pagetitle_bg_image_parallax_theme = $fincorbus_pagetitle_bg_image_parallax_page = '';
	$fincorbus_pagetitle_bg_image_parallax_theme = get_post_meta( $fincorbus_postId, 'fincorbus_pagetitle_bg_image_parallax', true );
	if( class_exists( 'ReduxFrameworkPlugin' ) ){
		$fincorbus_pagetitle_bg_image_parallax_page 	= fincorbus_options('pagetitle_bg_image_parallax');
	}
	$fincorbus_pagetitle_bg_image_parallax = ! empty( $fincorbus_pagetitle_bg_image_parallax_theme ) ? $fincorbus_pagetitle_bg_image_parallax_theme : $fincorbus_pagetitle_bg_image_parallax_page;
	if ( $fincorbus_pagetitle_bg_image_parallax == 'enable' ) {
		wp_enqueue_script('fincorbus-parallax', get_template_directory_uri() . '/assets/js/custom-parallax.js', array(), '', true);
		$fincorbus_pagetitle_class .= ' fincorbus_parallax';
	}
	
?>
		
		<?php if ( $fincorbus_pagetitle == 'show' ) { ?>
			<div id="pagetitle" class="<?php echo esc_attr( $fincorbus_pagetitle_class ); ?>">
				<div class="container">
					
					<?php if ( is_singular('post') && $fincorbus_post_single_style == 'fullscreen' ) { ?>
						
						<div class="single_post_header">
							<h2 class="single-post-title"><?php the_title(); ?></h2>
							<div class="post-meta">
								<span class="post-meta-author"><?php echo esc_html__('by','fincorbus'); ?><i><?php echo the_author_meta( 'display_name' , $post->post_author ); ?></i></span>
								<span class="post_meta_category"><?php echo esc_html__('in','fincorbus'); ?><?php the_category(', '); ?></span>
								<span class="post-meta-date"><?php echo esc_html__('posted on','fincorbus'); ?><i><?php the_time( get_option( 'date_format' ) ); ?></i></span>
								<span class="post-meta-comments"><?php echo fincorbus_comment_count(); ?></span>
								<span class="post-meta-likes"><?php fincorbus_likes() . ' ' . esc_html_e('Likes','fincorbus'); ?></span>
							</div>
						</div>
						
					<?php } else {
						
						if ( !empty( $fincorbus_pagetitle_subtext ) ) {
							echo '<p>' . esc_html( $fincorbus_pagetitle_subtext ) . '</p>';
						}
						if ( !empty( $fincorbus_pagetitle_text ) ) {
							echo '<h2>' . esc_html( $fincorbus_pagetitle_text ) . '</h2>';
						}
						
					} ?>
				</div>
			</div>
		<?php } ?>
		
		<?php 
			$fincorbus_options_breadcrumbs = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('breadcrumbs') : 'show';
			$fincorbus_breadcrumbs = get_post_meta( $fincorbus_postId, 'fincorbus_breadcrumbs', true ) ? get_post_meta( $post->ID, 'fincorbus_breadcrumbs', true ) : $fincorbus_options_breadcrumbs;
		
			if ( is_home() || is_singular('post') || is_search() || is_category() || is_tag() || is_day() || is_month() || is_year() ) {
				$fincorbus_breadcrumbs = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('blog_breadcrumbs') : 'show';
			} else if ( is_singular('portfolio') ) {
				$fincorbus_breadcrumbs = class_exists( 'ReduxFrameworkPlugin' ) ? fincorbus_options('portfolio_single_breadcrumbs') : 'show';
			} elseif( is_search() || is_404() ) {
				$fincorbus_breadcrumbs = 'hide';
			}
		?>
		
		<?php if ( $fincorbus_breadcrumbs == 'show' ) { ?>
			<div id="breadcrumbs">
				<div class="container">
					<div class="row">
						<div class="col-sm-8">
							<?php fincorbus_breadcrumbs(); ?>
						</div>
						<?php if ( ! is_front_page() ) { ?>
							<div class="col-sm-4 text-right">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><i class="fa fa-chevron-left"></i><?php echo esc_attr__( 'Back Home', 'fincorbus' ); ?></a>
							</div>
						<?php } ?>
					</div>
				</div>
			</div>
		<?php } ?>