<?php
/**
 * The portfolio post content
 */

global $post;

$img_url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'fincorbus_585x400' );
$thumb_url = $img_url[0];
$attachment_title = get_the_title();
$fincorbus_portfolio_category = get_the_term_list($post->ID, 'portfolio_category', '', ', ', '');
$text = wp_strip_all_tags(do_shortcode(get_the_content()));
$excerpt = fincorbus_smarty_modifier_truncate($text, 130);
?>
 
		<div class="portfolio_content_wrapper clearfix">
			<?php if (!empty( $thumb_url )) { ?>
				<div class="col-md-6 portfolio_format_content">
					<div class="post_likes"><?php echo fincorbus_likes(); ?></div>
					<a href="<?php echo esc_url( the_permalink() ); ?>"><img src="<?php echo esc_url( $thumb_url ); ?>" alt="<?php echo esc_attr( $attachment_title ); ?>" /></a>
				</div>
			<?php } ?>
			<div class="col-md-6 portfolio_descr_wrap text-center">
				<span class="portfolio_meta_category"><?php echo strip_tags( $fincorbus_portfolio_category ); ?></span>
				<h2 class="portfolio_title"><a href="<?php the_permalink( $post->ID ); ?>"><?php echo esc_html( $attachment_title ); ?></a></h2>
				<div class="portfolio_content clearfix">
					<p><?php echo esc_html( $excerpt ); ?></p></p>
				</div>
				<?php if (!empty ( $read_more_btn )) { ?>
					<a class="btn btn-sm" href="<?php the_permalink( $post->ID ); ?>"><?php echo esc_html( $read_more_btn ); ?></a>
				<?php } ?>
			</div>
		</div>