<?php
/**
 * The portfolio post content
 */

global $post;

$img_url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'fincorbus_470x280' );
$thumb_url = $img_url[0];
$attachment_title = get_the_title();
$fincorbus_portfolio_category = get_the_term_list($post->ID, 'portfolio_category', '', ', ', '');
$text = wp_strip_all_tags(do_shortcode(get_the_content()));
$excerpt = fincorbus_smarty_modifier_truncate($text, 150);
?>
 
		<div class="row portfolio_content_wrapper">
			<?php if (!empty( $thumb_url )) { ?>
				<div class="col-md-5 portfolio_format_content">
					<div class="post_likes"><?php echo fincorbus_likes(); ?></div>
					<a href="<?php echo esc_url( the_permalink() ); ?>"><img src="<?php echo esc_url( $thumb_url ); ?>" alt="<?php echo esc_attr( $attachment_title ); ?>" /></a>
				</div>
			<?php } ?>
			<div class="col-md-6 portfolio_descr_wrap">
				<span class="portfolio_meta_category"><?php echo strip_tags( $fincorbus_portfolio_category ); ?></span>
				<h2 class="portfolio_title"><a href="<?php the_permalink( $post->ID ); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'fincorbus'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
				<div class="portfolio_content clearfix">
					<p><?php echo esc_html( $excerpt ); ?></p>
				</div>
			</div>
		</div>